DROP TABLE IF EXISTS PRICES;
/*
CREATE TABLE BRANDS (
  BRAND_ID INT AUTO_INCREMENT PRIMARY KEY,
  NAME VARCHAR(50) NOT NULL
);

CREATE TABLE PRODUCTS (
  PRODUCT_ID INT PRIMARY KEY,
  NAME VARCHAR(50) NOT NULL
);

,
  FOREIGN KEY (BRAND_ID) REFERENCES BRANDS(BRAND_ID),
  FOREIGN KEY (PRODUCT_ID) REFERENCES PRODUCTS(PRODUCT_ID) */

CREATE TABLE PRICES (
  PRICE_LIST INT AUTO_INCREMENT PRIMARY KEY,
  BRAND_ID INT NOT NULL,
  START_DATE DATETIME NOT NULL,
  END_DATE DATETIME NOT NULL,
  PRODUCT_ID INT NOT NULL,
  PRIORITY INT NOT NULL,
  PRICE DOUBLE NOT NULL,
  CURRENCY VARCHAR(3) NOT NULL
);

